ZPOOL-LIST(8)

NAME
zpool-list - list information about ZFS storage pools

SYNOPSIS
zpool list [-HgLpPv] [-j [--json-int, --json-pool-key-guid]] [-o property[,property]…] [-T u|d] [pool]… [interval [count]]

DESCRIPTION
Lists the given pools along with a health status and space usage. If no pools are specified, all pools in the system are listed. When given an interval, the information is printed every interval seconds until killed. If count is specified, the command exits after count reports are printed.

-j [--json-int, --json-pool-key-guid]
    Display the list of pools in JSON format. Specify --json-int to display the numbers in integer format instead of strings. Specify --json-pool-key-guid to set pool GUID as key for pool objects instead of pool names.

-g  Display vdev GUIDs instead of the normal device names. These GUIDs can be used in place of device names for the zpool detach/offline/remove/replace commands.

-H  Scripted mode. Do not display headers, and separate fields by a single tab instead of arbitrary space.

-o property
    Comma-separated list of properties to display. See the zpoolprops(7) manual page for a list of valid properties. The default list is name, size, allocated, free, checkpoint, expandsize, fragmentation, capacity, dedupratio, health, altroot.

-L  Display real paths for vdevs resolving all symbolic links. This can be used to look up the current block device name regardless of the /dev/disk path used to open it.

-p  Display numbers in parsable (exact) values.

-P  Display full paths for vdevs instead of only the last component of the path. This can be used in conjunction with the -L flag.

-T u|d
    Display a time stamp. Specify u for a printed representation of the internal representation of time. See time(1). Specify d for standard date format. See date(1).

-v  Verbose statistics. Reports usage statistics for individual vdevs within the pool, in addition to the pool-wide statistics.

EXAMPLES

  Example 1 : Listing Available ZFS Storage Pools
The following command lists all available pools on the system. In this case, the pool zion is faulted due to a missing device. The results from this command are similar to the following:
    # zpool list
    NAME    SIZE  ALLOC   FREE  EXPANDSZ   FRAG    CAP  DEDUP  HEALTH  ALTROOT
    rpool  19.9G  8.43G  11.4G         -    33%    42%  1.00x  ONLINE  -
    tank   61.5G  20.0G  41.5G         -    48%    32%  1.00x  ONLINE  -
    zion       -      -      -         -      -      -      -  FAULTED -

  Example 2 : Displaying expanded space on a device
The following command displays the detailed information for the pool data. This pool is comprised of a single raidz vdev where one of its devices increased its capacity by 10 GiB. In this example, the pool will not be able to utilize this extra capacity until all the devices under the raidz vdev have been expanded.
    # zpool list -v data
    NAME         SIZE  ALLOC   FREE  EXPANDSZ   FRAG    CAP  DEDUP  HEALTH  ALTROOT
    data        23.9G  14.6G  9.30G         -    48%    61%  1.00x  ONLINE  -
      raidz1    23.9G  14.6G  9.30G         -    48%
        sda         -      -      -         -      -
        sdb         -      -      -       10G      -
        sdc         -      -      -         -      -

  Example 3 : Displaying expanded space on a device
The following command lists all available pools on the system in JSON format.
    # zpool list -j | jq
    {
      "output_version": {
        "command": "zpool list",
        "vers_major": 0,
        "vers_minor": 1
      },
      "pools": {
        "tank": {
          "name": "tank",
          "type": "POOL",
          "state": "ONLINE",
          "guid": "15220353080205405147",
          "txg": "2671",
          "spa_version": "5000",
          "zpl_version": "5",
          "properties": {
            "size": {
              "value": "111G",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "allocated": {
              "value": "30.8G",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "free": {
              "value": "80.2G",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "checkpoint": {
              "value": "-",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "expandsize": {
              "value": "-",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "fragmentation": {
              "value": "0%",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "capacity": {
              "value": "27%",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "dedupratio": {
              "value": "1.00x",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "health": {
              "value": "ONLINE",
              "source": {
                "type": "NONE",
                "data": "-"
              }
            },
            "altroot": {
              "value": "-",
              "source": {
                "type": "DEFAULT",
                "data": "-"
              }
            }
          }
        }
      }
    }

SEE ALSO
zpool-import(8), zpool-status(8)